#ifndef TESTEXTENSION_HPP
#define TESTEXTENSION_HPP

#include "simbase/simbase.hpp"

#include "stdperipheries/stdinterfaces.hpp"
#include "stdcontrollers/stdinterfaces.hpp"

#ifdef TESTEXTENSIONDLL_EXPORTS
	#undef  DLLINTERFACE
	#define DLLINTERFACE	__declspec(dllexport)
	#undef	DLLEXPORT_ONLY
	#define DLLEXPORT_ONLY(Fct)	Fct
#else
	#undef  DLLINTERFACE
	#define DLLINTERFACE	__declspec(dllimport)
	#undef	DLLEXPORT_ONLY
	#define DLLEXPORT_ONLY(Fct)
#endif

namespace TESTEXTENSION
{
	using namespace SIMBASE;
	using namespace STDCONTROLLERS;
	using namespace STDPERIPHERIES;

	#include "src/followwallcontroller.hpp"	//	<NEW>
};

MDeclareExtension(RCTestExtension)


#endif	//	TESTEXTENSION_HPP
